
Redmine - Patch #40506

Remove redundant ApplicationHelper inclusions

2024-04-01 07:31 - Takuya Kodama

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 6.0.0   

Description

ApplicationHelper has already been included in ActionView::TestCase. Although some test classes inherit from

ActionView::TestCase, they include ApplicationHelper in their own classes again. Therefore, we don't need to include

ApplicationHelper in those classes because it is already included.

For example, the ancestry of WikiFormatting::MacrosTest is as follows, and it includes ApplicationHelper in the

WikiFormatting::MacrosTest class again.

WikiFormatting::MacrosTest < Redmine::HelperTest < ActionView::TestCase

Associated revisions

Revision 22777 - 2024-04-02 11:18 - Go MAEDA

Remove redundant ApplicationHelper inclusions (#40506).

Patch by Takuya Kodama (@otegami).

History

#1 - 2024-04-01 11:36 - Go MAEDA

- Target version set to 6.0.0

Setting the target version to 6.0.0.

#2 - 2024-04-02 05:21 - Takuya Kodama

Go MAEDA wrote in #note-1:

Setting the target version to 6.0.0.

 Thank you for handling it.

#3 - 2024-04-02 11:18 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the fix in r22777. Thank you for your contribution.

#4 - 2024-04-09 12:11 - Marius BĂLTEANU

The tests are failing https://www.redmine.org/builds/

#5 - 2024-04-09 12:11 - Marius BĂLTEANU

- Status changed from Closed to Reopened

#6 - 2024-04-28 12:49 - Marius BĂLTEANU

- Status changed from Reopened to Closed

Marius BĂLTEANU wrote in #note-4:

The tests are failing https://www.redmine.org/builds/
 It was a random failing test.

Files
